Patches for aports can be sent to this list

2 2

[alpine-aports] [PATCH] testing/camlp4: new aport

Jon Ong
Details
Message ID
<1466937415-27677-1-git-send-email-jonongjs@rottenmage.com>
Sender timestamp
1466937415
DKIM signature
missing
Download raw message
Patch: +36 -0
https://github.com/ocaml/camlp4/releases
Caml preprocessor and pretty-printer
---
 testing/camlp4/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/camlp4/APKBUILD

diff --git a/testing/camlp4/APKBUILD b/testing/camlp4/APKBUILD
new file mode 100644
index 0000000..353fd06
--- /dev/null
+++ b/testing/camlp4/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Jon Ong <jonongjs@rottenmage.com>
+# Maintainer:
+pkgname=camlp4
+pkgver=4.02
+versuffix=+7
+pkgrel=0
+pkgdesc="Caml preprocessor and pretty-printer"
+url="https://github.com/ocaml/camlp4/releases"
+arch="all"
+license="GPL2"
+depends="ocaml"
+makedepends="git"
+options="!makeflags !emptydirs staticlibs"
+install=""
+subpackages=""
+source="https://github.com/ocaml/camlp4/archive/${pkgver}${versuffix}.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver${versuffix/+/-}"
+build() {
+	cd "$builddir"
+
+	./configure || return 1
+	make -j1 all camlp4/META || return 1
+}
+
+package() {
+	cd "$builddir"
+
+	make BINDIR="$pkgdir/usr/bin" \
+		LIBDIR="$pkgdir/usr/lib/ocaml" \
+		PKGDIR="$pkgdir/usr/lib/ocaml" \
+		install install-META || return 1
+}
+md5sums="108214c9a17d94a9e004530c454590e0  4.02+7.tar.gz"
+sha256sums="9a00c09dcd9595bd6fe5e66a553ffcad935106dee49e895f15ca0bf97489f774  4.02+7.tar.gz"
+sha512sums="eea8af1bbce68c9d02cf3dbb588ee6f8610d19211aba298b724db91e3c2c2f21fa4f9a1cc72a1d48a7080805acfcac1bbad192583cce1288bf594c3aa0210813  4.02+7.tar.gz"
-- 
2.8.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Bartłomiej Piotrowski
Details
Message ID
<3c12087e1ef4f676620e8682ede3df2b@server-speed.net>
In-Reply-To
<1466937415-27677-1-git-send-email-jonongjs@rottenmage.com> (view parent)
Sender timestamp
1467881212
DKIM signature
missing
Download raw message
On 2016-06-26 12:36, Jon Ong wrote:
> https://github.com/ocaml/camlp4/releases
> Caml preprocessor and pretty-printer
> ---
>  testing/camlp4/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
>  1 file changed, 36 insertions(+)
>  create mode 100644 testing/camlp4/APKBUILD
> 
> diff --git a/testing/camlp4/APKBUILD b/testing/camlp4/APKBUILD
> new file mode 100644
> index 0000000..353fd06
> --- /dev/null
> +++ b/testing/camlp4/APKBUILD
> @@ -0,0 +1,36 @@
> +# Contributor: Jon Ong <jonongjs@rottenmage.com>
> +# Maintainer:
> +pkgname=camlp4
> +pkgver=4.02
> +versuffix=+7
> +pkgrel=0
> +pkgdesc="Caml preprocessor and pretty-printer"
> +url="https://github.com/ocaml/camlp4/releases"
> +arch="all"
> +license="GPL2"
> +depends="ocaml"
> +makedepends="git"
> +options="!makeflags !emptydirs staticlibs"
> +install=""
> +subpackages=""
> +source="https://github.com/ocaml/camlp4/archive/${pkgver}${versuffix}.tar.gz"
> +
> +builddir="$srcdir/$pkgname-$pkgver${versuffix/+/-}"
> +build() {
> +	cd "$builddir"
> +
> +	./configure || return 1
> +	make -j1 all camlp4/META || return 1
> +}
> +
> +package() {
> +	cd "$builddir"
> +
> +	make BINDIR="$pkgdir/usr/bin" \
> +		LIBDIR="$pkgdir/usr/lib/ocaml" \
> +		PKGDIR="$pkgdir/usr/lib/ocaml" \
> +		install install-META || return 1
> +}
> +md5sums="108214c9a17d94a9e004530c454590e0  4.02+7.tar.gz"
> +sha256sums="9a00c09dcd9595bd6fe5e66a553ffcad935106dee49e895f15ca0bf97489f774
>  4.02+7.tar.gz"
> +sha512sums="eea8af1bbce68c9d02cf3dbb588ee6f8610d19211aba298b724db91e3c2c2f21fa4f9a1cc72a1d48a7080805acfcac1bbad192583cce1288bf594c3aa0210813
>  4.02+7.tar.gz"

It does not build for me. On June 6 OCaml has been upgraded to 4.03. I 
tried to change pkgver and versuffix, but this lead to another error:

/bin/sh: ocamlbuild: not found

Please resubmit fixed patch, so I can review neko and haxe as well.

Bartłomiej


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Jon Ong
Details
Message ID
<1467907046-29417-1-git-send-email-jonongjs@rottenmage.com>
In-Reply-To
<3c12087e1ef4f676620e8682ede3df2b@server-speed.net> (view parent)
Sender timestamp
1467907046
DKIM signature
missing
Download raw message
Patch: +36 -0
https://github.com/ocaml/camlp4/releases
Caml preprocessor and pretty-printer
---
Changes v1 -> v2:
 - added dependency on ocamlbuild
 - bumped version to 4.03+1

 testing/camlp4/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/camlp4/APKBUILD

diff --git a/testing/camlp4/APKBUILD b/testing/camlp4/APKBUILD
new file mode 100644
index 0000000..5202c30
--- /dev/null
+++ b/testing/camlp4/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Jon Ong <jonongjs@rottenmage.com>
+# Maintainer:
+pkgname=camlp4
+pkgver=4.03
+versuffix=+1
+pkgrel=0
+pkgdesc="Caml preprocessor and pretty-printer"
+url="https://github.com/ocaml/camlp4/releases"
+arch="all"
+license="GPL2"
+depends="ocaml"
+makedepends="ocamlbuild"
+options="!makeflags !emptydirs staticlibs"
+install=""
+subpackages=""
+source="https://github.com/ocaml/camlp4/archive/${pkgver}${versuffix}.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver${versuffix/+/-}"
+build() {
+	cd "$builddir"
+
+	./configure || return 1
+	make -j1 all camlp4/META || return 1
+}
+
+package() {
+	cd "$builddir"
+
+	make BINDIR="$pkgdir/usr/bin" \
+		LIBDIR="$pkgdir/usr/lib/ocaml" \
+		PKGDIR="$pkgdir/usr/lib/ocaml" \
+		install install-META || return 1
+}
+md5sums="65ece8d2c8f4b1e06d62323e78759a7c  4.03+1.tar.gz"
+sha256sums="6eefeacced81cca59ddf90c2538505fd5cd6596a3fc1acf4971e9796c2e7f2ae  4.03+1.tar.gz"
+sha512sums="0a329e18deffebb5245415f822f91e692076fca4dbe38748f18e72f417ce7354faed744fdff25f9976659192cb02d56ceb2cf1be5c64da463413ec4a28a9d3ac  4.03+1.tar.gz"
-- 
2.8.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---